Docs
Get Reservation Watermarks
GET /Reservations/{reservationId}/watermarks
GET
/Reservations/{reservationId}/watermarksLists the history of stamps on a reservation: when somebody started working its need (Engagement) and when a party was told something (Communication), each with a snapshot of what the party was told. Use Reservations_GetReservationChanges for what has moved since.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| reservationId | uuid | Required |
Response
Type: GetReservationWatermarksResponse[]
GetReservationWatermarksResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| kind | string| null | |
| stampedAt | date-time | |
| stampedByUserId | uuid| null | |
| payload | GetReservationWatermarksResponsePayloadInfo |
GetReservationWatermarksResponsePayloadInfo
| Field | Type | Description |
|---|---|---|
| status | string| null | |
| resourceId | uuid| null | |
| resourceName | string| null | |
| quantity | number| null | |
| needName | string| null | |
| spans | GetReservationWatermarksResponseSpanInfo[]| null | |
| scheduleBlocks | GetReservationWatermarksResponseBlockInfo[]| null |
GetReservationWatermarksResponseSpanInfo
| Field | Type | Description |
|---|---|---|
| start | date-time | |
| end | date-time |
GetReservationWatermarksResponseBlockInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| typeName | string| null | |
| start | date-time | |
| end | date-time | |
| areaName | string| null |